.comments-box:not(.offset-not) {
	padding-top: 48px;
	margin-top: 24px;
}

.comments-box--title {
	margin-bottom: 24px;
}

.comment-list,
.comment-list ul {
	padding: 0;
	list-style-type: none;
}

.comment-list .comment {
	padding: 16px;
	background-color: var(--comet-50);
	border-radius: 12px;
}

.comment-list ul:not(.show) {
	display: none;
}

.comment-list ul {
	margin-top: 16px;
	padding-left: 36px;
	border-top: 1px solid var(--whisper-200);
}

.comment-list ul .comment {
	padding: 16px 0;
	margin-top: -1px;
	border-top: 1px solid var(--whisper-200);
	border-radius: 0;
}

.comment-list ul > .comment:last-child {
	padding-bottom: 0;
}

.comment-list > .comment:not(:last-child) {
	margin-bottom: 24px;
}

.comment-list .comment .comment-form {
	padding: 0;
	margin: 0;
}

.comment-list .comment .comment-form .apf-fields--stars {
	display: none;
}

.comment-footer {
	display: flex;
	align-items: center;
	flex-direction: column;
	gap: 12px;
	margin-top: 24px;
}

.comment--header {
	display: flex;
	align-items: flex-start;
	gap: 12px;
	margin-bottom: 16px;
}

.comment--header img {
	flex-shrink: 0;
	width: 48px;
	height: 48px;
	object-fit: cover;
	border-radius: 50%;
}

.comment--header__body {
	align-self: center;
}

.comment-author {
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	column-gap: 8px;
	font-weight: 600;
	line-height: 20px;
	margin-bottom: 8px;
}

.comment-author__rang {
	padding: 2px 4px;
	font-size: 12px;
	color: var(--white);
	background-color: var(--electric-violet-500);
	line-height: 15px;
	border-radius: 2px;
}

.comment--header__date {
	font-size: 14px;
	color: var(--whisper-400);
	line-height: 17px;
}

.comment--header__rating {
	margin-left: auto;
}

.comment--header__rating--label {
	font-size: 14px;
	color: var(--whisper-400);
	line-height: 20px;
	margin-bottom: 4px;
}

.comment--header__rating--stars::after {
	font-size: 16px;
	line-height: 20px;
}

.comment--header__rating--stars .svg-icon {
	font-size: 20px;
}

.comment--content {
	line-height: 24px;
	margin-bottom: 16px;
}

.comment--pros-cons__title {
	display: flex;
	align-items: center;
	gap: 8px;
	font-weight: 600;
	line-height: 20px;
	margin-bottom: 8px;
}

.comment--pros-cons__list {
	margin-bottom: 16px;
}

.comment--pros-cons__title .svg-icon {
	flex-shrink: 0;
	font-size: 24px;
}

.comment--pros-cons__list--advantages .comment--pros-cons__title {
	color: var(--sulu-500);
}

.comment--pros-cons__list--disadvantages .comment--pros-cons__title {
	color: var(--radical-red-600);
}

.comment--pros-cons__text {
	line-height: 24px;
}

.comment--btns {
	display: flex;
	align-items: center;
	gap: 24px;
}

.comment-reply-link {
	display: inline-flex;
	align-items: center;
	justify-content: center;
	gap: 8px;
	height: 40px;
	color: inherit;
	font-size: 14px;
	color: var(--whisper-950);
	font-weight: 400;
	padding: 0 16px;
	box-shadow: inset 0 0 0 1px var(--whisper-300);
	border-radius: 12px;
	transition: all  ease .1s;
}

.comment-reply-link:hover {
	box-shadow: inset 0 0 0 2px var(--azure-radiance-500);
}

.comment--btn-view {
	font-size: 14px;
	color: var(--azure-radiance-500);
	text-decoration: underline dashed;
	transition: color ease .1s;
}

.comment--btn-view:hover {
	color: var(--azure-radiance-600);
}

.comment-form {
	width: 100%;
	padding: 16px;
	background-color: var(--comet-50);
	border-radius: 12px;
	margin-top: 24px;
	margin-bottom: 24px;
}

.comment-form input {
	width: 100%;
}

.comment-form .apf-form-field {
	margin-bottom: 24px;
}

.comment-form .apf-fields--horizontal {
	display: flex;
	align-items: center;
	justify-content: flex-start;
	gap: 12px;
}

.comment-form .apf-fields--horizontal .apf-field {
	width: 100%;
}

.comment-form .apf-form-label {
	display: flex;
	align-items: center;
	gap: 8px;
	font-weight: 600;
	line-height: 20px;
	margin-bottom: 8px;
}

.comment-form .apf-form-label .svg-icon {
	flex-shrink: 0;
	font-size: 24px;
}

.apf-fields--advantages.like .apf-form-label {
	color: var(--sulu-500);
}

.apf-fields--advantages.dislike .apf-form-label {
	color: var(--radical-red-600);
}

.apf-fields--stars {
	margin-bottom: 12px;
}

.stars-rating-field {
	display: flex;
	align-items: center;
	flex-wrap: wrap;
	gap: 12px;
	width: 100%;
}

.stars-rating-field__title {
	font-weight: 600;
	line-height: 20px;
}

.stars-rating {
	display: flex;
	gap: 1px;
}

.stars-rating-field .stars-rating__star {
	background-size: contain;
	width: 32px;
	height: 32px;
	cursor: pointer;
	transition: background-image ease .1s;
}

.stars-rating-field .stars-rating__star--empty {
	background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMzIiIGhlaWdodD0iMzIiIHZpZXdCb3g9IjAgMCAzMiAzMiIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KPHBhdGggZD0iTTE2LjA2MDUgNS4wNDcxMkwxOC45NzU2IDEwLjk1MzRDMTkuMDM5MyAxMS4wODIzIDE5LjE1MjggMTEuMzM0OCAxOS4zNDE4IDExLjUzODNDMTkuNDg4NSAxMS42OTYyIDE5LjY2NDkgMTEuODI0NCAxOS44NjA0IDExLjkxNTNDMjAuMTEyNCAxMi4wMzI1IDIwLjM4NzkgMTIuMDYzNCAyMC41MzAzIDEyLjA4NDJMMjcuMDUxOCAxMy4wMzc0QzI3LjA5ODMgMTMuMDQ0MiAyNy4xNDIxIDEzLjA1MDggMjcuMTgzNiAxMy4wNTY5QzI3LjE1MzYgMTMuMDg2MiAyNy4xMjI1IDEzLjExNzggMjcuMDg4OSAxMy4xNTA2TDIyLjM3MTEgMTcuNzQ1NEMyMi4yOTM3IDE3LjgyMDggMjIuMTU4NyAxNy45NDQyIDIyLjAzOTEgMTguMTAzOEwyMS45MjY4IDE4LjI3NTZDMjEuODQ4IDE4LjQxNzEgMjEuNzkwNyAxOC41NjkyIDIxLjc1NTkgMTguNzI2OEwyMS43Mjg1IDE4Ljg4NkMyMS42OTUxIDE5LjE2MjEgMjEuNzUyIDE5LjQzMzQgMjEuNzc2NCAxOS41NzU0TDIyLjg4OTYgMjYuMDY0N0MyMi44OTc2IDI2LjExMSAyMi45MDQxIDI2LjE1NTIgMjIuOTExMSAyNi4xOTY1QzIyLjg3NCAyNi4xNzcxIDIyLjgzNDUgMjYuMTU2OSAyMi43OTMgMjYuMTM1TDE2Ljk2MTkgMjMuMDY5NkMxNi44NjYyIDIzLjAxOTMgMTYuNzA3MyAyMi45Mjg5IDE2LjUxODYgMjIuODY0NUwxNi4zMjEzIDIyLjgxMDhMMTYuMTYxMSAyMi43ODc0QzE2LjA1NDMgMjIuNzc3IDE1Ljk0NjcgMjIuNzc3IDE1LjgzOTggMjIuNzg3NEwxNS42Nzk3IDIyLjgxMDhDMTUuNDA2NiAyMi44NjQzIDE1LjE2NTYgMjMuMDAyNSAxNS4wMzgxIDIzLjA2OTZMOS4yMDgwMSAyNi4xMzVDOS4xNjYxNyAyNi4xNTcgOS4xMjYxOCAyNi4xNzcgOS4wODg4NyAyNi4xOTY1QzkuMDk1OSAyNi4xNTUyIDkuMTAzMzggMjYuMTExIDkuMTExMzMgMjYuMDY0N0wxMC4yMjQ2IDE5LjU3NTRDMTAuMjQyOSAxOS40Njg5IDEwLjI3OTMgMTkuMjg5NiAxMC4yODIyIDE5LjA5MDFMMTAuMjcxNSAxOC44ODZMMTAuMjQ1MSAxOC43MjY4QzEwLjIyMTkgMTguNjIxNiAxMC4xODg1IDE4LjUxODkgMTAuMTQ1NSAxOC40MjAyTDEwLjA3MzIgMTguMjc1Nkw5Ljk2MTkxIDE4LjEwMzhDOS44NDIyOSAxNy45NDQyIDkuNzA3MzQgMTcuODIwOCA5LjYyOTg4IDE3Ljc0NTRMNC45MTIxMSAxMy4xNTA2QzQuODc4MjUgMTMuMTE3NyA0Ljg0NjU0IDEzLjA4NjMgNC44MTY0MSAxMy4wNTY5QzQuODU4MTEgMTMuMDUwNyA0LjkwMjQxIDEzLjA0NDIgNC45NDkyMiAxMy4wMzc0TDExLjQ3MDcgMTIuMDg0MkMxMS42MTMxIDEyLjA2MzQgMTEuODg4NiAxMi4wMzI1IDEyLjE0MDYgMTEuOTE1M0MxMi4zMzYgMTEuODI0NCAxMi41MTE2IDExLjY5NjIgMTIuNjU4MiAxMS41MzgzQzEyLjg0NzQgMTEuMzM0NyAxMi45NjE3IDExLjA4MjQgMTMuMDI1NCAxMC45NTM0TDE1Ljk0MDQgNS4wNDcxMkMxNS45NjEzIDUuMDA0NzcgMTUuOTgxMyA0Ljk2NDcyIDE2IDQuOTI3QzE2LjAxODcgNC45NjQ4IDE2LjAzOTYgNS4wMDQ2NyAxNi4wNjA1IDUuMDQ3MTJaIiBzdHJva2U9IiNEOUQ1REQiIHN0cm9rZS13aWR0aD0iMiIgc3Ryb2tlLWxpbmVjYXA9InJvdW5kIiBzdHJva2UtbGluZWpvaW49InJvdW5kIi8+Cjwvc3ZnPgo=");
}

.stars-rating-field .stars-rating__star--full {
	background-image: url("data:image/svg+xml;base64,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");
}

.comment-form .apf-form-button {
	min-width: 168px;
}

.comment-form .apf__help {
	font-size: 14px;
	color: var(--whisper-500);
	line-height: 20px;
}

@media (max-width: 575.98px) {
	.comment--header__rating--label span {
		display: none;
	}

	.comment--header__rating--stars {
		justify-content: flex-end;
	}

	.comment--header__rating--stars .svg-icon:not(:first-child) {
		display: none;
	}

	.comment-form .apf-fields--horizontal {
		flex-wrap: wrap;
	}
}

@media (min-width: 576px) {
	.comment-form {
		padding: 24px;
	}

	.comment-list .comment {
		padding: 24px;
	}

	.comment-list ul {
		margin-top: 24px;
		padding-left: 50px;
	}

	.comment-list ul .comment {
		padding: 24px 0;
	}
}